Bug 1119744 - Qpid High Availability cannot be installed on EL6
Summary: Qpid High Availability cannot be installed on EL6
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: async/tasks
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.6.0
Assignee: Brian Bouterse
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:21 UTC by Brian Bouterse
Modified: 2015-02-28 22:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:12:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 472 None None None Never

Description Brian Bouterse 2014-07-15 12:21:45 UTC
The high availability configuration of Qpid is provided by the package qpid-cpp-server-ha which is produced from SRPM qpid-cpp. Pulp includes and delivers all qpid-cpp SRPM bits for EL6 from koji so a recent version of Qpid is available on EL6. The qpid-cpp-server-ha package is missing a dependency called 'systemd-units' that is not available in base EL6 or EPEL.

Error: Package: qpid-cpp-server-ha-0.26-7.el6.x86_64 (pulp-v2)
           Requires: systemd-units

EL6 doesn't use systemd so the only solution I can think of is to ask the Qpid team to rework the dependencies of qpid-cpp-server-ha to not require systemd-units.

Comment 1 Michael Hrivnak 2014-07-16 16:22:01 UTC
Blocked by qpid upstream.

Comment 2 Brian Bouterse 2014-07-16 17:58:36 UTC
created an upstream bug with Qpid in JIRA to track the resolution upstream.

https://issues.apache.org/jira/browse/QPID-5900

Comment 3 Brian Bouterse 2014-10-17 12:44:23 UTC
Upstream believes they have resolved the issue with qpid-cpp-0.26-9.el6.src.rpm. Justin built that in Koji [0], so I'm going to update our external_deps.json [1] so the next build will include it.

[0]: http://koji.katello.org/koji/buildinfo?buildID=12894
[1]: https://github.com/pulp/pulp/blob/master/deps/external_deps.json

Comment 4 Brian Bouterse 2014-10-17 13:02:00 UTC
PR available at:  https://github.com/pulp/pulp/pull/1249

Comment 5 Brian Bouterse 2014-10-17 13:03:03 UTC
QA to verify you should try to install the qpid-cpp-server-ha RPM. If it installs without an issue then verify the BZ.

Comment 6 Brian Bouterse 2014-10-20 18:05:51 UTC
Merged to 2.5-dev -> master

Comment 7 Chris Duryee 2014-12-23 20:52:46 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 8 Irina Gulina 2015-01-14 09:24:57 UTC
>> rpm -qa pulp-server
pulp-server-2.6.0-0.2.beta.el6.noarch

>> yum install qpid-cpp-server-ha
Loaded plugins: amazon-id, pulp-profile-update, rhui-lb, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package qpid-cpp-server-ha.x86_64 0:0.26-9.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================
 Package                       Arch              Version                 Repository                Size
========================================================================================================
Installing:
 qpid-cpp-server-ha            x86_64            0.26-9.el6              pulp-2.6-beta            266 k

Transaction Summary
========================================================================================================
Install       1 Package(s)

Total download size: 266 k
Installed size: 858 k
Is this ok [y/N]: y
Downloading Packages:
qpid-cpp-server-ha-0.26-9.el6.x86_64.rpm                                         | 266 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : qpid-cpp-server-ha-0.26-9.el6.x86_64                                                 1/1 
pulp: profile sent, status=201
  Verifying  : qpid-cpp-server-ha-0.26-9.el6.x86_64                                                 1/1 

Installed:
  qpid-cpp-server-ha.x86_64 0:0.26-9.el6                                                                

Complete!

>> rpm -qa qpid-cpp-server-ha
qpid-cpp-server-ha-0.26-9.el6.x86_64

Comment 9 Brian Bouterse 2015-02-28 22:12:58 UTC
Moved to https://pulp.plan.io/issues/472


Note You need to log in before you can comment on or make changes to this bug.